Package be.vlaanderen.mercurius.mohm.common.v7

# Class SupportAndRepairDecisionType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairDecisionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class SupportAndRepairDecisionType extends Object implements Serializable
Generiek type voor het melden van de beslissing over het budget voor onderhoud en herstel.

Java class for SupportAndRepairDecisionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairDecisionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairIDType"/>
             <element name="RequestedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="DescriptionRequested" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AssignedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             <element name="DescriptionAssigned" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairStatusType"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportAndRepairDecisionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Bedrag van het budget onderhoud en herstel.
  `String`
  `getAssignedCareServiceCode()`
  Toegekende prestatiecode van het budget onderhoud en herstel
  `String`
  `getDescriptionAssigned()`
  Korte omschrijving van de toegekende prestatiecode.
  `String`
  `getDescriptionRequested()`
  Korte omschrijving van de gevraagde prestatiecode.
  `String`
  `getMotivation()`
  Veld met de motivatie van weigering of motivatie waarom een ander budget dan aangevraagd werd goedgekeurd.
  `String`
  `getRequestedCareServiceCode()`
  Gevraagde prestatiecode van het budget onderhoud en herstel.
  `SupportAndRepairStatusType`
  `getStatus()`
  Status van het budget onderhoud en herstel.
  `String`
  `getSupportAndRepairID()`
  Unieke ID van het budget onderhoud en herstel.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setAssignedCareServiceCode(String value)`
  Sets the value of the assignedCareServiceCode property.
  `void`
  `setDescriptionAssigned(String value)`
  Sets the value of the descriptionAssigned property.
  `void`
  `setDescriptionRequested(String value)`
  Sets the value of the descriptionRequested property.
  `void`
  `setMotivation(String value)`
  Sets the value of the motivation property.
  `void`
  `setRequestedCareServiceCode(String value)`
  Sets the value of the requestedCareServiceCode property.
  `void`
  `setStatus(SupportAndRepairStatusType value)`
  Sets the value of the status property.
  `void`
  `setSupportAndRepairID(String value)`
  Sets the value of the supportAndRepairID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportAndRepairDecisionType

    public SupportAndRepairDecisionType()

- ## Method Details

  - ### getSupportAndRepairID

    public String getSupportAndRepairID()
    Unieke ID van het budget onderhoud en herstel.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairID

    public void setSupportAndRepairID(String value)
    Sets the value of the supportAndRepairID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairID()`

  - ### getRequestedCareServiceCode

    public String getRequestedCareServiceCode()
    Gevraagde prestatiecode van het budget onderhoud en herstel.
    Returns:
      possible object is `String`

  - ### setRequestedCareServiceCode

    public void setRequestedCareServiceCode(String value)
    Sets the value of the requestedCareServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestedCareServiceCode()`

  - ### getDescriptionRequested

    public String getDescriptionRequested()
    Korte omschrijving van de gevraagde prestatiecode.
    Returns:
      possible object is `String`

  - ### setDescriptionRequested

    public void setDescriptionRequested(String value)
    Sets the value of the descriptionRequested property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescriptionRequested()`

  - ### getAssignedCareServiceCode

    public String getAssignedCareServiceCode()
    Toegekende prestatiecode van het budget onderhoud en herstel
    Returns:
      possible object is `String`

  - ### setAssignedCareServiceCode

    public void setAssignedCareServiceCode(String value)
    Sets the value of the assignedCareServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAssignedCareServiceCode()`

  - ### getDescriptionAssigned

    public String getDescriptionAssigned()
    Korte omschrijving van de toegekende prestatiecode.
    Returns:
      possible object is `String`

  - ### setDescriptionAssigned

    public void setDescriptionAssigned(String value)
    Sets the value of the descriptionAssigned property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescriptionAssigned()`

  - ### getAmount

    public BigDecimal getAmount()
    Bedrag van het budget onderhoud en herstel. Dit element zal niet aanwezig zijn indien geweigerd.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getStatus

    public SupportAndRepairStatusType getStatus()
    Status van het budget onderhoud en herstel. Deze status is afhankelijk van de status van het mobiliteitshulpmiddel. Als het mobiliteitshulpmiddel aanvaard werd, is het budget ook aanvaard. Als het mobiliteitshulpmiddel geweigerd werd, is het budget ook geweigerd.
    Returns:
      possible object is `SupportAndRepairStatusType`

  - ### setStatus

    public void setStatus(SupportAndRepairStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `SupportAndRepairStatusType`
    See Also:
      - `getStatus()`

  - ### getMotivation

    public String getMotivation()
    Veld met de motivatie van weigering of motivatie waarom een ander budget dan aangevraagd werd goedgekeurd.
    Returns:
      possible object is `String`

  - ### setMotivation

    public void setMotivation(String value)
    Sets the value of the motivation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivation()`